@tailwind base;
@tailwind components;
@tailwind utilities;
body {
  background: linear-gradient(to left, #8942a8, #ba382f);
}
body main {
  width: 85%;
  margin: 0 auto;
}

header {
  display: flex;
  justify-content: space-between;
  padding: 40px;
}
header a {
  font-size: 20px;
  color: white;
}
header .cart-icon button {
  outline: 0;
}
header .cart-icon i {
  position: relative;
  font-size: 30px;
  z-index: 0;
  font-weight: 800;
}
header .cart-icon i span {
  background-color: white;
  font-size: 16px;
  color: black;
  width: 20px;
  height: 20px;
  line-height: 20px;
  text-align: center;
  border-radius: 50%;
  position: absolute;
  top: -10px;
  right: -10px;
  z-index: 1;
}

.display .item {
  width: 200px;
  height: 300px;
  border-radius: 20px;
  background-color: black;
  box-shadow: 0 7px 5px -5px #4d4b4b;
  overflow: hidden;
  position: relative;
  top: 0;
  transition: top ease 0.3s;
}
.display .item .item-icon {
  display: flex;
  justify-content: space-between;
  font-size: 18px;
  padding: 15px;
}
.display .item .item-icon i {
  color: white;
  font-size: 25px;
}
.display .item .item-icon span {
  color: rgb(0, 180, 0);
  font-weight: 400;
}
.display .item .item-img {
  height: 200px;
  display: flex;
  transform: translateY(-10px);
  position: relative;
}
.display .item .item-img img {
  align-self: center;
  overflow: hidden;
  max-width: 220px;
  max-height: 200px;
}
.display .item .item-img p {
  color: rgb(0, 0, 0);
  position: absolute;
  bottom: 0;
  left: 10px;
  font-weight: 700;
  font-size: 20px;
}
.display .item .item-body {
  width: 100%;
  color: white;
  background-color: #2e2f33;
  padding: 10px 10px;
  border-radius: 20px;
  transition: 1s;
}
.display .item .item-body .item-line {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  font-weight: 700;
  font-size: 16px;
  margin-bottom: 5px;
}
.display .item .item-body .item-line p {
  width: 80%;
  line-height: 26px;
}
.display .item .item-body .wrapper {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.4s, opacity 0.4s linear;
}
.display .item .item-body .wrapper .item-infor {
  margin: 10px 0;
  font-size: 12px;
}
.display .item .item-body .wrapper .item-purchase {
  font-size: 14px;
  font-weight: 600;
}
.display .item .item-body .wrapper .item-purchase button {
  margin-top: 10px;
  outline: 0;
  width: 100%;
  color: white;
  border: 2px solid white;
  border-radius: 20px;
  font-weight: 700;
}
.display .item:hover {
  transform: scale(1.15);
  top: -100px;
  margin: auto 0;
  height: 100%;
  box-shadow: 0 20px 20px rgba(0, 0, 0, 0.799);
  overflow: visible;
}
.display .item:hover .wrapper {
  visibility: visible;
  opacity: 1;
}

.cart-wrapper {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  -webkit-backdrop-filter: blur(10px);
          backdrop-filter: blur(10px);
  position: absolute;
  top: 0;
  right: 0%;
  display: flex;
  justify-content: end;
  transition: all 1s;
  display: none;
}
.cart-wrapper .cart {
  overflow: auto;
  background-color: black;
  color: white;
  width: 50%;
  height: 100%;
  padding-bottom: 100px;
  transform: translateX(100%);
}
.cart-wrapper .cart .cart-title {
  position: relative;
  display: flex;
  margin-bottom: 10px;
}
.cart-wrapper .cart .cart-title p {
  font-size: 40px;
  font-weight: 600;
  margin: 0 auto;
}
.cart-wrapper .cart .cart-title button {
  position: absolute;
  right: 20px;
  top: 20px;
  outline: 0;
}
.cart-wrapper .cart .cart-content .cart-item {
  height: 150px;
  text-align: center;
  align-items: center;
  justify-items: center;
  border-bottom: 2px solid white;
  padding: 10px 0px;
  margin: 0px 40px;
}
.cart-wrapper .cart .cart-content .cart-item .cart-image {
  width: 100%;
  height: 120px;
  -o-object-fit: contain;
     object-fit: contain;
}
.cart-wrapper .cart .cart-content .cart-item div {
  -o-object-fit: contain;
     object-fit: contain;
}
.cart-wrapper .cart .cart-result {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.cart-wrapper .cart .cart-result .payment-bill {
  font-size: 30px;
  padding: 10px 20px;
  font-weight: 600;
}
.cart-wrapper .cart .cart-result .payment-btn button {
  width: 150px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 10px;
  border: 1px solid white;
  font-size: 20px;
  margin-right: 10px;
}
.cart-wrapper .cart .cart-result .payment-btn button span {
  margin-right: 10px;
}

.selection {
  margin-bottom: 50px;
}
.selection .selection-wrapper {
  width: 120px;
  height: 30px;
  border: 1px solid #999;
  font-size: 18px;
  color: #1c87c9;
  background-color: #eee;
  border-radius: 5px;
  box-shadow: 3px 4px #ccc;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}